d3.csv('https://gist.githubusercontent.com/ShishiraRudrabhatla/9849647c63d046ea2501959e4f3abd92/raw/72aa5b117a87acd31507342c3912c5038109d1cf/tg_crop_3d.csv', 
      function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Crop'), y: unpack(rows, 'Production'), z: unpack(rows, 'District_Name'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Crop_Year'), y: unpack(rows, 'Season'), z: unpack(rows, 'Area'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
